{% from "system/map.jinja" import system_settings with context %}
{% set settings = system_settings['sleep'] %}

{% if settings.disable %}
# Disable sleep via sysrc
sleep_disable_sysrc:
  sysrc:
    - name: 'kern.suspend_blocked'
    - value: '1'
{% else %}
# Enable sleep via sysrc
sleep_enable_sysrc:
  sysrc:
    - name: 'kern.suspend_blocked'
    - value: '0'
{% endif %}
